﻿Imports Infragistics.Web.UI.GridControls

Public Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim ds As DataSet

        If (DesignMode) Then Return

        If Not Page.IsPostBack Then
            ds = New DataSet()
            ds.ReadXml(MapPath(Request.ApplicationPath) & "\App_Data\dataset.xml")
            ''for this example i don't need child tables
            'ds.Relations.Clear()
            'ds.Tables(1).Constraints.Clear()
            'ds.Tables.RemoveAt(1)

            oGrid.DataSource = ds
            oGrid.DataMember = "EAF1_MG_GL"
            oGrid.DataBind()
            oGrid.Behaviors.ColumnFixing.FixedColumns.Add("STOP_DATE_FILTER", FixLocation.Left) '<-- error "Object reference not set to an instance of an object", but dt.Tables(0).Columns("STOP_DATE_FILTER") exists!
        End If
    End Sub

    Private Sub oGrid_Init(ByVal sender As Object, ByVal e As System.EventArgs) Handles oGrid.Init
        oGrid.DefaultColumnWidth = Unit.Pixel(50)
        oGrid.Behaviors.CreateBehavior(Of ColumnResizing)()
        oGrid.Behaviors.CreateBehavior(Of ColumnFixing)()
        oGrid.Behaviors.CreateBehavior(Of Activation)()
        oGrid.Behaviors.CreateBehavior(Of ColumnMoving)()
    End Sub
End Class